## mx4j.tools.remote.caucho.hessian
Class HessianConnectorServer

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          javax.management.remote.JMXConnectorServer
              mx4j.tools.remote.AbstractJMXConnectorServer
                  mx4j.tools.remote.http.HTTPConnectorServer
                      mx4j.tools.remote.caucho.hessian.HessianConnectorServer

All Implemented Interfaces:
  javax.management.remote.JMXConnectorServerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class HessianConnectorServer
extends HTTPConnectorServer

A JSR 160 implementation of a JMXConnectorServer over Caucho's Hessian protocol (http://www.caucho.com/hessian).
IMPORTANT NOTE:
This JMXConnectorServer is still in experimental status, so compatibility with newer version may broke, especially regarding hessian serialization of JMX classes.

Version:
  $Revision: 1.4 $
See Also:
  `BurlapConnectorServer`

Field Summary

Fields inherited from class mx4j.tools.remote.http.HTTPConnectorServer
`EMBEDDED_WEB_CONTAINER_CLASS, USE_EXTERNAL_WEB_CONTAINER`

Fields inherited from class javax.management.remote.JMXConnectorServer
`AUTHENTICATOR`

Constructor Summary
`HessianConnectorServer(javax.management.remote.JMXServiceURL url, java.util.Map environment, javax.management.MBeanServer server)`

Method Summary
`protected ConnectionManager` `createConnectionManager(AbstractJMXConnectorServer server, java.util.Map environment)`

Methods inherited from class mx4j.tools.remote.http.HTTPConnectorServer
`doStart, doStop`

Methods inherited from class mx4j.tools.remote.AbstractJMXConnectorServer
`connectionClosed, connectionFailed, connectionOpened, getAddress, getAttributes, getEnvironment, getLogger, isActive, isStopped, setAddress, start, stop`

Methods inherited from class javax.management.remote.JMXConnectorServer
`getConnectionIds, getMBeanServer, getNotificationInfo, postDeregister, postRegister, preDeregister, preRegister, setMBeanServerForwarder, toJMXConnector`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HessianConnectorServer

    public HessianConnectorServer(javax.management.remote.JMXServiceURL url,
                                  java.util.Map environment,
                                  javax.management.MBeanServer server)

Method Detail

### createConnectionManager

    protected ConnectionManager createConnectionManager(AbstractJMXConnectorServer server,
                                                        java.util.Map environment)

  Specified by:
    `createConnectionManager` in class `HTTPConnectorServer`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.